package types

type MarriageReq struct {
	Name      string `json:"name" validate:"required,name"`
	IDCard    string `json:"id_card" validate:"required,idCard"`
	Mobile    string `json:"mobile" validate:"required,mobile"`
	Code      string `json:"code" validate:"required"`
	PayMethod string `json:"pay_method" validate:"required,payMethod"`
}
type HomeServiceReq struct {
	Name      string `json:"name" validate:"required,name"`
	IDCard    string `json:"id_card" validate:"required,idCard"`
	Mobile    string `json:"mobile" validate:"required,mobile"`
	Code      string `json:"code" validate:"required"`
	PayMethod string `json:"pay_method" validate:"required,payMethod"`
}

// RiskAssessment 查询请求结构
type RiskAssessmentReq struct {
	Name      string `json:"name" validate:"required,name"`
	IDCard    string `json:"id_card" validate:"required,idCard"`
	Mobile    string `json:"mobile" validate:"required,mobile"`
	Code      string `json:"code" validate:"required"`
	PayMethod string `json:"pay_method" validate:"required,payMethod"`
}

// CompanyInfo 查询请求结构
type CompanyInfoReq struct {
	Name      string `json:"name" validate:"required,name"`
	IDCard    string `json:"id_card" validate:"required,idCard"`
	Mobile    string `json:"mobile" validate:"required,mobile"`
	Code      string `json:"code" validate:"required"`
	PayMethod string `json:"pay_method" validate:"required,payMethod"`
}

// RentalInfo 查询请求结构
type RentalInfoReq struct {
	Name      string `json:"name" validate:"required,name"`
	IDCard    string `json:"id_card" validate:"required,idCard"`
	Mobile    string `json:"mobile" validate:"required,mobile"`
	Code      string `json:"code" validate:"required"`
	PayMethod string `json:"pay_method" validate:"required,payMethod"`
}

// PreLoanBackgroundCheck 查询请求结构
type PreLoanBackgroundCheckReq struct {
	Name      string `json:"name" validate:"required,name"`
	IDCard    string `json:"id_card" validate:"required,idCard"`
	Mobile    string `json:"mobile" validate:"required,mobile"`
	Code      string `json:"code" validate:"required"`
	PayMethod string `json:"pay_method" validate:"required,payMethod"`
}

// BackgroundCheck 查询请求结构
type BackgroundCheckReq struct {
	Name      string `json:"name" validate:"required,name"`
	IDCard    string `json:"id_card" validate:"required,idCard"`
	Mobile    string `json:"mobile" validate:"required,mobile"`
	Code      string `json:"code" validate:"required"`
	PayMethod string `json:"pay_method" validate:"required,payMethod"`
}
